Skip to main content
POST
/
conversations
/
{conversation}
/
messages
/
{message}
/
finalize-update
Finalize message update
curl --request POST \
  --url https://api.example.com/conversations/{conversation}/messages/{message}/finalize-update
{
  "id": 1,
  "type": "<string>",
  "conversationId": 123,
  "is_reply": true,
  "parent": null,
  "deleted": true,
  "message": "<string>",
  "date": 123,
  "edited_at": 123,
  "reactions": [
    {}
  ],
  "author": {
    "id": 1,
    "first_name": "John",
    "last_name": "Doe",
    "name": "John Doe",
    "title": "Manager",
    "active": true,
    "avatar": {},
    "archived_at": 123,
    "participant_type": "<string>",
    "subtext": "Manager - HQ (Sales)",
    "department": {
      "id": 10,
      "name": "Sales"
    },
    "unit": {
      "id": 5,
      "name": "HQ"
    }
  },
  "files": [
    {
      "id": 1,
      "name": "document.pdf",
      "mime": "application/pdf",
      "size": 102400,
      "type": "file",
      "extension": "pdf",
      "uploaded": true,
      "processing": false,
      "height": 123,
      "width": 123,
      "source": "<string>",
      "stream": "<string>",
      "versions": {},
      "screenshot": "<unknown>",
      "date": 123,
      "created_at": 123,
      "updated_at": 123,
      "created_formatted": "<string>",
      "updated_formatted": "<string>"
    }
  ],
  "voice": {
    "id": 1,
    "processing": true,
    "extension": "mp3",
    "duration": 12.5,
    "url": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ziik.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

conversation
integer
required

Conversation ID

message
integer
required

Message ID

Response

The finalized message.

id
integer
Example:

1

type
string
conversationId
integer
is_reply
boolean
parent
unknown
deleted
boolean
message
string
date
integer

Unix timestamp

edited_at
integer | null
reactions
object[]
author
object
files
object[]
voice
object